@import "typography.css";
@import "color.css";

.min-h-0 {
    min-height: 0;
}

.min-w-150p {
    min-width: 150px;
}

.min-w-250p {
    min-width: 250px;
}

.min-w-300p {
    min-width: 300px;
}

.min-w-350p {
    min-width: 350px;
}

.min-w-500p {
    min-width: 500px;
}

.max-available-height {
    max-height: -webkit-fill-available;
}

.heatmap-container canvas {
    left: 0;
    top: 0;
}

.notification-icon-size {
    font-size: 0.9rem;
}

.mud-ripple-checkbox {
    padding-left: 0  !important;
}

.mud-button {
    border-radius: 8px !important;
}

.mud-divider.mud-divider-fullwidth {
    height: 2px;
}

.mud-button-filled-size-medium {
    height: 40px;
}

.mud-icon-button {
    padding: 8px;
}

.mud-toggle-group .mud-button {
    border-radius: 0 !important;
}

.cube-img {
    max-width: 175px;
}

.login-background{
    background-image:url("../images/loginBackground.png");
    height: 100%;
    background-position: center;
    background-repeat: no-repeat;
    background-size: cover;
}

.icon-only-menu {
    min-width: auto;
}

.hide-mud-menu-text .mud-menu-item-text {
    display: none;
}

.hide-mud-menu-text .mud-menu-item-icon {
    margin: 0;
    min-width: auto;
}

.hover-effect-active polygon {
    transition: stroke-opacity 180ms cubic-bezier(.4, 0, .2, 1);
}

.hover-effect-active polygon:hover {
    stroke-opacity: 1;
}

#no-javascript-error-message {
    padding: 12px; 
    text-align: center;
}

/* ------ Timeline ------ */

.mud-timeline-vertical .mud-timeline-item .mud-timeline-item-divider {
    min-width: unset;
    margin-right: 16px;
}

.mud-timeline-item .mud-timeline-item-divider {
    position: relative;
    display: flex;
    align-items: center;
    justify-content: start;
}

.mud-timeline-item {
    display: flex;
    justify-content: start;
}


.mud-timeline-item-dot {
    background: transparent;
    box-shadow: unset;
}

.mud-timeline-item-dot-inner {
    border: 5px solid;
    background-color: transparent !important;
}

.mud-timeline-vertical .mud-timeline-item {
    padding-bottom: 8px;
}

.mud-timeline-vertical.mud-timeline-position-start::before {
    right: auto;
    left: 11px;
    opacity: 0;
}

.mud-timeline-vertical {
    padding-top: 0;
}


/* The line segment after each dot */
.mud-timeline-item .mud-timeline-item-dot::after {
    content: "";
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, 12px);
    width: 3px;
    border-radius: 3px;
    height: 24px;
    background-color: var(--mud-palette-primary);
    opacity: 40%;
}

.hide-continuing-line.mud-timeline-item:last-child .mud-timeline-item-dot::after {
    display: none;
}

/* ------ Media breakpoints ------ */

@media (max-width: 1280px) {
    .cube-img {
        max-width: 150px;
    }
}

@media (max-width: 960px) {
    .cube-img {
        max-width: 130px;
    }
}

/* ------ Generated by blazor default project ------ */

.valid.modified:not([type=checkbox]) {
    outline: 1px solid #26b050;
}

.invalid {
    outline: 1px solid red;
}

#blazor-error-ui {
    background: lightyellow;
    color: black;
    bottom: 0;
    box-shadow: 0 -1px 2px rgba(0, 0, 0, 0.2);
    display: none;
    left: 0;
    padding: 0.6rem 1.25rem 0.7rem 1.25rem;
    position: fixed;
    width: 100%;
    z-index: 1000;
}

    #blazor-error-ui .dismiss {
        cursor: pointer;
        position: absolute;
        right: 0.75rem;
        top: 0.5rem;
    }

.blazor-error-boundary {
    background: url(data:image/svg+xml;base64,PHN2ZyB3aWR0aD0iNTYiIGhlaWdodD0iNDkiIHhtbG5zPSJodHRwOi8vd3d3LnczLm9yZy8yMDAwL3N2ZyIgeG1sbnM6eGxpbms9Imh0dHA6Ly93d3cudzMub3JnLzE5OTkveGxpbmsiIG92ZXJmbG93PSJoaWRkZW4iPjxkZWZzPjxjbGlwUGF0aCBpZD0iY2xpcDAiPjxyZWN0IHg9IjIzNSIgeT0iNTEiIHdpZHRoPSI1NiIgaGVpZ2h0PSI0OSIvPjwvY2xpcFBhdGg+PC9kZWZzPjxnIGNsaXAtcGF0aD0idXJsKCNjbGlwMCkiIHRyYW5zZm9ybT0idHJhbnNsYXRlKC0yMzUgLTUxKSI+PHBhdGggZD0iTTI2My41MDYgNTFDMjY0LjcxNyA1MSAyNjUuODEzIDUxLjQ4MzcgMjY2LjYwNiA1Mi4yNjU4TDI2Ny4wNTIgNTIuNzk4NyAyNjcuNTM5IDUzLjYyODMgMjkwLjE4NSA5Mi4xODMxIDI5MC41NDUgOTIuNzk1IDI5MC42NTYgOTIuOTk2QzI5MC44NzcgOTMuNTEzIDI5MSA5NC4wODE1IDI5MSA5NC42NzgyIDI5MSA5Ny4wNjUxIDI4OS4wMzggOTkgMjg2LjYxNyA5OUwyNDAuMzgzIDk5QzIzNy45NjMgOTkgMjM2IDk3LjA2NTEgMjM2IDk0LjY3ODIgMjM2IDk0LjM3OTkgMjM2LjAzMSA5NC4wODg2IDIzNi4wODkgOTMuODA3MkwyMzYuMzM4IDkzLjAxNjIgMjM2Ljg1OCA5Mi4xMzE0IDI1OS40NzMgNTMuNjI5NCAyNTkuOTYxIDUyLjc5ODUgMjYwLjQwNyA1Mi4yNjU4QzI2MS4yIDUxLjQ4MzcgMjYyLjI5NiA1MSAyNjMuNTA2IDUxWk0yNjMuNTg2IDY2LjAxODNDMjYwLjczNyA2Ni4wMTgzIDI1OS4zMTMgNjcuMTI0NSAyNTkuMzEzIDY5LjMzNyAyNTkuMzEzIDY5LjYxMDIgMjU5LjMzMiA2OS44NjA4IDI1OS4zNzEgNzAuMDg4N0wyNjEuNzk1IDg0LjAxNjEgMjY1LjM4IDg0LjAxNjEgMjY3LjgyMSA2OS43NDc1QzI2Ny44NiA2OS43MzA5IDI2Ny44NzkgNjkuNTg3NyAyNjcuODc5IDY5LjMxNzkgMjY3Ljg3OSA2Ny4xMTgyIDI2Ni40NDggNjYuMDE4MyAyNjMuNTg2IDY2LjAxODNaTTI2My41NzYgODYuMDU0N0MyNjEuMDQ5IDg2LjA1NDcgMjU5Ljc4NiA4Ny4zMDA1IDI1OS43ODYgODkuNzkyMSAyNTkuNzg2IDkyLjI4MzcgMjYxLjA0OSA5My41Mjk1IDI2My41NzYgOTMuNTI5NSAyNjYuMTE2IDkzLjUyOTUgMjY3LjM4NyA5Mi4yODM3IDI2Ny4zODcgODkuNzkyMSAyNjcuMzg3IDg3LjMwMDUgMjY2LjExNiA4Ni4wNTQ3IDI2My41NzYgODYuMDU0N1oiIGZpbGw9IiNGRkU1MDAiIGZpbGwtcnVsZT0iZXZlbm9kZCIvPjwvZz48L3N2Zz4=) no-repeat 1rem/1.8rem, #b32121;
    padding: 1rem 1rem 1rem 3.7rem;
    color: white;
}

    .blazor-error-boundary::after {
        content: "An error has occurred."
    }
    
.primary-button {
    color: var(--mud-palette-text-primary) !important;
}